Skip to main content

Get App Settings

The Get Appsettings API will fetch the app settings details which is configured in the realm settings.

Resource Informations​

NameValue
Requires authentication?No
Rate limited?No

HTTP request URL for SSMS​

GET http://{hostname}/digitanium/v3/tenants/appsettings

HTTP request URL for SHIFT​

GET http://{hostname}/auth/realms/{tenantId}/v4_realm/appsettings
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
flutter_ios_versionStringflutter_ios_version is the result of the ios version.
flutter_android_linkStringflutter_android_link is the URL for the playstore.
flutter_android_versionStringflutter_android_version is the result of the andriod version.
flutter_android_update_byStringflutter_android_update_by results the timestamp of the last update.
flutter_ios_update_byStringflutter_ios_update_by results the timestamp of the last update.
flutter_ios_linkStringflutter_ios_link is the URL for the appstore.
flutter_android_build_numberStringflutter_android_build_number is the number of android releases for a version. (Every build has its own unique number)
flutter_ios_build_numberStringflutter_ios_build_number is the number of ios releases for a version. (Every build has its own unique number)
macos_linkStringmacos_link is the URL for the playstore.
macos_versionStringmacos_version is the result of the macos version.
macos_update_byStringmacos_update_by results the timestamp of the last update.
macos_build_numberStringmacos_build_number is the number of macos releases for a version. (Every build has its own unique number)
windows_linkStringwindows_link is the URL for the playstore.
windows_versionStringwindows_version is the result of the windows version.
windows_update_byStringwindows_update_by results the timestamp of the last update.
windows_build_numberStringwindows_build_number is the number of windows releases for a version. (Every build has its own unique number)
huawei_versionStringhuawei_version is the result of the huawei version.
huawei_linkStringhuawei_link is the URL for the playstore.
huawei_update_byStringhuawei_update_by results the timestamp of the last update.
huawei_build_numberStringhuawei_build_number is the number of huawei releases for a version. (Every build has its own unique number)
{
"flutter_android_link": "https://google.com/",
"flutter_android_version": "123456",
"flutter_android_update_by": "2023-04-28 18:27:08.443204",
"flutter_android_build_number": "12345678",
"flutter_ios_version": "123456",
"flutter_ios_update_by": "123456",
"flutter_ios_link": "123456u",
"flutter_ios_build_number": "1234567",
"macos_link": "https://google.com/",
"macos_version": "1.4.0",
"macos_update_by": "2023-04-28 18:27:08.443204",
"macos_build_number": "4",
"windows_link": "https://google.com/",
"windows_version": "1.4.0",
"windows_update_by": "2023-04-28 18:27:08.443204",
"windows_build_number": "4"
"huawei_version": "2.5.5",
"huawei_link": "https://google.com",
"huawei_update_by": "30.07.2023",
"huawei_build_number": "000"

}

Response Status Information​

Status CodeStatus
200OK
404Realm does not exist